spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://65.26.107.91:3306/obpm2_security?characterEncoding=UTF-8&serverTimezone=GMT
    username: root
    password: Bcx@20220316
    # 下面为连接池的补充设置，应用到上面所有数据源中
    initialSize: 5
    minIdle: 5
    maxActive: 20
    # 配置获取连接等待超时的时间
    maxWait: 60000
    # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
    timeBetweenEvictionRunsMillis: 60000
    # 配置一个连接在池中最小生存的时间，单位是毫秒
    minEvictableIdleTimeMillis: 300000
    validationQuery: SELECT 1
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false
    # 配置监控统计拦截的filters，去掉后监控界面sql无法统计，'wall'用于防火墙
    filters: stat,wall,log4j
    logSlowSql: true
  jpa:
    hibernate:
      ddl-auto: none
    show-sql: true
  #Redis服务器地址
  redis:
    host: 65.26.107.123
    port: 6379
    password: Bcx&hn2024
    prefixKey: 'v5hninprod:'
    #连接超时时间（毫秒）
    timeout: 30000
    lettuce: # redis连接池配置
      pool:
        max-active: -1 #连接池最大连接数(使用负值表示没有限制) 默认为30
        max-wait: -1ms # 连接池最大阻塞等待时间(使用负值表示没有限制) 默认为-1
        max-idle: 8 # 连接池中的最大空闲连接 默认为8
        min-idle: 0 # 连接池中的最小空闲连接 默认为 0
identity:
  sms:
    website: http://msg.bcxin.com.cn:9165/sms/huawei/sendSMS
  face:
    website: https://identify.bcxin.com.cn:14433/identify/api/baidu/match-face
env:
  passPrefix: Abcd@ #密码前缀

